import { AccessControl, Permission } from 'accesscontrol';
export declare class CrudAccessControl {
    private resource;
    private grants;
    ac: AccessControl;
    constructor(resource: string, grants: any);
    check(user: any, op: string): Grant;
    private doCheck;
    private grantOwn;
    filteredRoles(_ac: AccessControl, roles: any): any;
    getOrgRoles(user: any): any[];
    getAssignedRoles(user: any): any[];
}
export declare class Grant {
    granted: boolean;
    type: string;
    ownerTypes: Array<String>;
    permissions: Array<Permission>;
    verifiedRoles: Array<String>;
    assignedRoles: Array<String>;
    constructor(permission?: any, _type?: any, _ownerType?: any, assignedRole?: any);
    addGrant(grant: Grant): Grant;
    addOwnerType(ownerType: any): void;
    addPermission(permission: Permission): void;
    addVerifiedRoles(roles: Array<String>): void;
    addAssignedRole(role: any): void;
}
