import { Request, Response } from 'express';
import { Model, Document, DocumentQuery } from 'mongoose';
export declare function baseCtrlCreate(req: Request, res: Response, model: Model<Document>, options?: any): void;
export declare function baseCtrlFind(req: any, res: Response, model: Model<Document>): void;
export declare function baseCtrlFindWithQueryBuilder(req: Request, res: Response, model: Model<Document>, queryBuilder: (query: any) => DocumentQuery<any, any>): void;
export declare function baseCtrlFindOneWithQueryBuilder(req: Request, res: Response, model: Model<Document>, queryBuilder: (query: any) => DocumentQuery<any, any>): void;
export declare function baseCtrlFindById(req: Request, res: Response, model: Model<Document>): void;
export declare function baseCtrlUpdate(req: Request, res: Response, model: Model<Document>): void;
export declare function baseCtrlPatch(req: Request, res: Response, model: Model<Document>): void;
export declare function baseCtrlRemove(req: Request, res: Response, model: Model<Document>): void;
